summaryrefslogtreecommitdiffstats
path: root/academic/scidavis/scidavis.SlackBuild
diff options
context:
space:
mode:
author Fellype do Nascimento <fellype(at)gmail.com>2016-12-15 12:36:17 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2016-12-16 04:41:23 +0700
commit9347e82d80b73b1c1945973436f6882f924d3dcf (patch)
tree1129b12fd5dac758a2056164be91d15498c4ecac /academic/scidavis/scidavis.SlackBuild
parent388361f667f157725eb62a3acb204e52b08d42c9 (diff)
downloadslackbuilds-9347e82d80b73b1c1945973436f6882f924d3dcf.tar.gz
slackbuilds-9347e82d80b73b1c1945973436f6882f924d3dcf.tar.xz
academic/scidavis: Added (data analysis and visualization).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic/scidavis/scidavis.SlackBuild')
-rw-r--r--academic/scidavis/scidavis.SlackBuild116
1 files changed, 116 insertions, 0 deletions
diff --git a/academic/scidavis/scidavis.SlackBuild b/academic/scidavis/scidavis.SlackBuild
new file mode 100644
index 0000000000..ee13ce7f97
--- /dev/null
+++ b/academic/scidavis/scidavis.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Slackware build script for SciDAVis
+# Based on the Slackware 14.1 SlackBuild
+# Written by Fellype do Nascimento <fellype(at)gmail.com>
+
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=scidavis
+VERSION=${VERSION:-1.14}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"; SLKLDFLAGS=""; LIBDIRSUFFIX="";
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"; SLKLDFLAGS=""; LIBDIRSUFFIX="";
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"; SLKLDFLAGS="-L/usr/lib64"; LIBDIRSUFFIX="64"
+fi
+
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+
+# Correction needed in order to find qwtplot3d in its default path
+grep -rl "qwtplot3d/" libscidavis/src/ | xargs sed -i "s:<qwtplot3d/:<:"
+
+# Correction needed in order to re-enable desktop integration
+cat $CWD/desktop_integration.txt >> scidavis/basic.pri
+
+## Applying a patch on libscidavis/src/Fit.cpp in order to have correct values of parameters' errors generated by fit functions
+patch -p1 < $CWD/fix_wrong_values_on_parameters_errors.patch libscidavis/src/Fit.cpp
+
+## Applying a patch in the config.pri file in order to build with the correct path for qwt5
+patch -p1 < $CWD/correction_to_use_qwt5.patch config.pri
+
+## For some unknown reason, to build in Slackware we need to run qmake twice in order to get icons working properly
+## See https://sourceforge.net/p/scidavis/scidavis-bugs/259/
+qmake
+qmake CONFIG+="liborigin python" PRESET=linux_package
+
+# Build and install:
+LDFLAGS="$SLKLDFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+make install INSTALL_ROOT=$PKG
+
+## Sometimes 'make install' fails to install the translation files
+mkdir -p $PKG/usr/share/scidavis/translations
+cp scidavis/translations/*.qm $PKG/usr/share/scidavis/translations
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a README.md LICENSE $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $PKG/usr/share/doc/scidavis/*.* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm -rf $PKG/usr/share/doc
+
+( cd $PKG
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find . | xargs file | grep "current ar archive" | cut -f 1 -d : | xargs strip -g 2> /dev/null || true
+)
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/slack-desc > $PKG/usr/doc/$PRGNAM-$VERSION/slack-desc
+
+mkdir -p $PKG/usr/man/man1
+docbook2man man/manpage.sgml -o $PKG/usr/man/man1/
+cp $PKG/usr/man/man1/SciDAVis.1 $PKG/usr/man/man1/scidavis.1
+gzip -9 $PKG/usr/man/man1/*.1
+rm $PKG/usr/man/man1/manpage.*
+
+if [ -e /usr/bin/requiredbuilder ]; then
+ requiredbuilder -v -y -s $CWD $PKG
+fi
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}